 %Calculate coefficient from geometry for LU decomposition
 function [alpha beta gamma lama lamc co_xy] = Coefficient(Z_n, R, Y)
     m = length(R);
     n = length(Y);
     alpha = zeros(m,n);
     beta = zeros(m,n);
     gamma = zeros(m,n);
     lama = zeros(m,n);
     lamc = zeros(m,n);
     co_xy = zeros(m,n);
     for j = 2:(n-1)
         del_Y_p = Y(j+1) - Y(j);
         del_Y_m = Y(j) - Y(j-1);
         for i = 2:(m-1)
             del_X_p = R(i+1) - R(i);
             del_X_m = R(i) - R(i-1);
             dY_dR = (1 / Z_n(i+1) - 1 / Z_n(i-1)) / (del_X_m + del_X_p) * Z_n(i) * Y(j);
             d2Y_dR = ((1 / Z_n(i+1) - 1 / Z_n(i)) / del_X_p - (1 / Z_n(i) - 1 / Z_n(i-1)) / del_X_m) / (del_X_m + del_X_p) * 2 * Z_n(i) * Y(j);
             alpha(i,j) = (2 / del_X_m - 1 / R(i)) / (del_X_p + del_X_m);
             beta(i,j) = -2 / del_X_p / del_X_m - 2 / del_Y_p / del_Y_m * (dY_dR * dY_dR + 1 / Z_n(i) / Z_n(i));
             gamma(i,j) = (2 / del_X_p + 1 / R(i)) / (del_X_p + del_X_m);
             lama(i,j) = (2 / del_Y_m * (dY_dR * dY_dR + 1 / Z_n(i) / Z_n(i)) - (dY_dR / R(i) + d2Y_dR)) / (del_Y_p + del_Y_m);
             lamc(i,j) = (2 / del_Y_p * (dY_dR * dY_dR + 1 / Z_n(i) / Z_n(i)) + (dY_dR / R(i) + d2Y_dR)) / (del_Y_p + del_Y_m);
             co_xy(i,j) = 2 * dY_dR / (del_X_m + del_X_p) / (del_Y_p + del_Y_m);
         end
     end
 end
 