%Calculate normal flux at electrolyte boundary

function E_n_out = Flux_RZ(phi_sol, Z_n, R, dZ_dR, del_Y, m_e, n)
    E_n_out = zeros(1,m_e);
    E_n_out(1) = (phi_sol(1,n) - phi_sol(1,n-1)) / del_Y / Z_n(1);
    for i = 2:(m_e-1)
        cos_theta = 1 / sqrt(1 + dZ_dR(i) * dZ_dR(i));
        sin_theta = 1 / sqrt(1 + 1 / (dZ_dR(i) * dZ_dR(i)));
        grad_phi_Z = (phi_sol(i,n) - phi_sol(i,n-1)) / del_Y / Z_n(i);
        grad_phi_R = (phi_sol(i+1,n) - phi_sol(i-1,n)) / (R(i+1) - R(i-1)) - grad_phi_Z * dZ_dR(i);
        E_n_out(i) = -grad_phi_R * sin_theta + grad_phi_Z * cos_theta;
    end
end
