%Solve Laplace Equation by LU decomposition

function phi_sol = LU_liquid(alpha, beta, gamma, lama, lamc, co_xy, phi_appl, m, n, m_e)
    A = zeros(m*n, m*n);
%     (i,j) -> (j-1)*m+i
%     row of A: Number of Equation
%     column of A: Coefficients
    delta = zeros(m*n,1);
    for i = 1:m_e  %electrolyte boundary phi = phi_appl
        A((n-1)*m+i, (n-1)*m+i) = 1;
        delta((n-1)*m+i) = phi_appl;
        A(i, i) = 1;  %electrode boundary phi = 0, beta = 1
    end
    for i = (m_e+1):m  %glass shield boundary no flux
        A((n-1)*m+i, (n-1)*m+i) = 1;
        A((n-1)*m+i, (n-2)*m+i) = -1;
        A(i, i) = 1;  %electrode boundary phi = 0, beta = 1
    end
    for j = 2:(n-1)
        %symmetry boundary at i = 1
        A((j-1)*m+1, (j-1)*m+1) = 1;
        A((j-1)*m+1, (j-1)*m+2) = -1;
        %right boundary at i = m
        A(j*m, j*m) = 1;
        for i = 2:(m-1)
            A((j-1)*m+i, (j-1)*m+i-1) = alpha(i,j);
            A((j-1)*m+i, (j-1)*m+i) = beta(i,j);
            A((j-1)*m+i, (j-1)*m+i+1) = gamma(i,j);
            A((j-1)*m+i, (j-2)*m+i) = lama(i,j);
            A((j-1)*m+i, j*m+i) = lamc(i,j);
            A((j-1)*m+i, j*m+i+1) = co_xy(i,j);
            A((j-1)*m+i, (j-2)*m+i+1) = -co_xy(i,j);
            A((j-1)*m+i, j*m+i-1) = -co_xy(i,j);
            A((j-1)*m+i, (j-2)*m+i-1) = co_xy(i,j);
        end
    end
%     A = sparse(A);
%     delta = sparse(delta);
%     whos A
%     whos delta
    phi_sol = linsolve(A, delta);
end

