%Thomas algorithm for solving triagonal matrix
function tri_sol = Thomas(alpha, beta, gamma, delta, n)
tri_sol = zeros(1,n);
gamma_mod = zeros(1,n);
delta_mod = zeros(1,n);
gamma_mod(1) = gamma(1) / beta(1);
delta_mod(1) = delta(1) / beta(1);
for i = 2:(n-1)
    gamma_mod(i) = gamma(i) / (beta(i) - gamma_mod(i-1) * alpha(i));
    delta_mod(i) = (delta(i) - delta_mod(i-1) * alpha(i)) / (beta(i) - gamma_mod(i-1) * alpha(i)); 
end
tri_sol(n) = (delta(n) - delta_mod(n-1) * alpha(n)) / (beta(n) - gamma_mod(n-1) * alpha(n));
for i = (n-1):(-1):1
    tri_sol(i) = delta_mod(i) - gamma_mod(i) * tri_sol(i+1);
end
end

