%Critical potential vs. distance for 1D gel deformation

%Parameters
eps = 8.85e-12;  %eps0, in F/m
a = 1e-5;  %thickness of gel, in m
E_Y = 1e4;  %elastic modulus of gel, in Pa

%Plot
fplot(@(d) sqrt(4 / 27 * d * d * d * E_Y / eps / a), [0 a], 'LineWidth', 4);
xlabel('{\it d} / m', 'FontSize', 28);
ylabel('Critical {\it \phi} / V', 'FontSize', 28);
ax = gca;
ax.FontSize = 22;
set(gca, 'ylim', [0 140]);
set(gca, 'ytick', 0:20:140);
set(gca, 'xlim', [0 a]);
set(gca, 'xtick', 0:(a/5):a);

%Calculate specific distance
phi_c = 1;  %Apply 1 V as critical potential
d = (eps * phi_c * phi_c * a / E_Y * 27 / 4)^(1/3);
disp(d);